Get submission
curl --request GET \
--url https://api.cut.pro/api/v1/clips/{videoId}/submissions/{submissionId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.cut.pro/api/v1/clips/{videoId}/submissions/{submissionId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.cut.pro/api/v1/clips/{videoId}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submission_id": "<string>",
"video_id": "<string>",
"status": "queued",
"error_code": "download_failed",
"clips_count": 123,
"queue_position": 123,
"estimated_time": 123,
"created_at": "<string>",
"completed_at": "<string>"
}{
"code": "VIDEO_NOT_FOUND"
}{
"code": "SUBMISSION_EXPIRED"
}Clipagem
Get submission
Returns the current status of a clipping submission. Poll this endpoint until status is completed or failed.
We recommend polling every 5–10 seconds. When status is queued, use queue_position and estimated_time to give feedback to your users.
GET
/
clips
/
{videoId}
/
submissions
/
{submissionId}
Get submission
Autorizações
Resposta
Response for status 200
Unique submission ID
ID of the source video
Opções disponíveis:
queued, downloading, transcribing, video_analysis, analyzing, finalizing, completed, failed error_code
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>Option 14 · enum<string>Option 15 · enum<string>Option 16 · enum<string>Option 17 · enum<string>Option 18 · enum<string>
obrigatório
Opções disponíveis:
download_failed Number of AI-generated clips available; only meaningful when status is completed
Position in the processing queue; null once processing has started
Estimated seconds until completion; null once processing has started
ISO 8601 timestamp of when this submission was created
ISO 8601 timestamp of when this submission finished, or null if still running
Última modificação em 23 de agosto de 2026
Esta página foi útil?